Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4  (Przeczytany 513 razy)

Offline iggys

  • Newbie
  • *
  • Wiadomości: 4
PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« dnia: Październik 05, 2017, 09:52:24 am »
Dzień Dobry.
Mam taki problem, nie mogę pracować na wersji kernela powyżej 4.4. Próbowałem różne distra, Manjaro, Ubuntu, Linux Mint itd. Nie ma możliwości na moim sprzęcie wgrania linuxa z obrazu iso jeśli kernel jest wyższy niż 4.4. Obecnie jestem na OpenSus z kernelem właśnie 4.4. Zastanawia mnie to dlaczego tak sie dzieje?
Pozdrawiam.
Igor.

Offline gom1

  • Hero Member
  • *****
  • Wiadomości: 502
  • RLU #281182
Odp: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« Odpowiedź #1 dnia: Październik 05, 2017, 09:53:04 am »
Gdybyś napisał na jakim sprzęcie, było by łatwiej.
Wszędzie dobrze, ale w /home najlepiej

Offline iggys

  • Newbie
  • *
  • Wiadomości: 4
Odp: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« Odpowiedź #2 dnia: Październik 05, 2017, 11:11:24 am »
Mam tu wynik z Manjaro - może być pomocny:

System: Host: manjaro Kernel: 4.4.13-1-MANJARO x86_64 (64 bit gcc: 6.1.1)
Desktop: KDE Plasma 5.6.4 (Qt 5.6.0) Distro: Manjaro Linux
Machine: System: HP (portable) product: HP Pavilion Notebook
Mobo: HP model: 80B5 v: 81.29
Bios: American Megatrends v: F.19 date: 05/27/2016
CPU: Quad core AMD A10-8700P Radeon R6 10 Compute Cores 4C+6G (-MCP-) cache: 4096 KB
flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 14376
clock speeds: max: 1800 MHz 1: 1800 MHz 2: 1300 MHz 3: 1600 MHz
4: 1300 MHz
Graphics: Card-1: Advanced Micro Devices [AMD/ATI] Carrizo bus-ID: 00:01.0
Card-2: Advanced Micro Devices [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360]
bus-ID: 04:00.0
Display Server: X.Org 1.17.4 driver: amdgpu
Resolution: 1920x1080@60.02hz
GLX Renderer: Gallium 0.4 on AMD CARRIZO (DRM 3.1.0, LLVM 3.8.0)
GLX Version: 3.0 Mesa 11.2.2 Direct Rendering: Yes
Audio: Card-1 Advanced Micro Devices [AMD] Device 157a
driver: snd_hda_intel bus-ID: 00:09.2
Card-2 Advanced Micro Devices [AMD/ATI] Kabini HDMI/DP Audio
driver: snd_hda_intel bus-ID: 00:01.1
Sound: Advanced Linux Sound Architecture v: k4.4.13-1-MANJARO
Network: Card-1: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0
IF: eno1 state: down mac:
Card-2: Intel Wireless 3160 driver: iwlwifi bus-ID: 03:00.0
IF: wlo1 state: up mac:
Drives: HDD Total Size: 250.1GB (6.8% used)
ID-1: /dev/sda model: Samsung_SSD_840 size: 250.1GB
Partition: ID-1: / size: 12G used: 79M (1%) fs: overlay dev: N/A
ID-2: swap-1 size: 17.94GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
Sensors: System Temperatures: cpu: 54.2C mobo: N/A gpu: 0.0
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 194 Uptime: 6 min Memory: 951.5/15561.9MB
Init: systemd Gcc sys: 6.1.1
Client: Shell (bash 4.3.421) inxi: 2.3.0

Offline Dziadek Starowinek

  • Hero Member
  • *****
  • Wiadomości: 1096
Odp: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« Odpowiedź #3 dnia: Październik 05, 2017, 06:06:20 pm »
Jakiś komunikat błędu, coś? Ze sterownikami AMD było chyba jakieś zamieszanie kiedyś, ale nowsze powinny już nie sprawiać problemu... Najlepiej by było poznać jakieś symptomy.

Offline iggys

  • Newbie
  • *
  • Wiadomości: 4
Odp: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« Odpowiedź #4 dnia: Październik 06, 2017, 09:19:21 am »
Hmm, no właśnie o to chodzi, że nie ma symptomów szczególnych, po załadowaniu iso jest chyba kernel panic, AMD wariuje, nie może odpalić. Natomiast jeśli chcę wgrać wyższy kernel do istniejącego systemu to przez moment pokaże się pulpit a potem przestaje wszystko działać.
Osobiście nie przeszkadza mi kernel 4.4, ale jest to trochę dziwne, że inne nie dają rady.

Offline iggys

  • Newbie
  • *
  • Wiadomości: 4
Odp: PROBLEM Z WGRYWANIEM LINUXA Z KERNELEM POWYŻEJ 4.4
« Odpowiedź #5 dnia: Październik 08, 2017, 10:40:03 am »
Ok, wgrałem od nowa Manjaro 16.10.3 z kernelem 4.4, zaktualizowałem przez terminal do 17.05 i wgrałem dla wypróbowania kernel 4.13 no i tu niespodzianka - działa. Dziwny ten linux, 4.8, 4.9, 4.11, 4.12 nie działają u mnie. 8)